Introduction

HTML-Help for jk-ware Theater 4.0

jk-ware Theater for Windows

HTML-Help Hyperlinks:

Explanations

With jk-ware Theater Blocker Plains, Color LIFE Sound and Perpetuum mobile can be started multiple times and run simultaneously.

Each game can occupy the size of the framework-window partially or completely or can share the place with the other games.

The game windows become with the menu-item „Windows“ arranged overlapped, side by side or one above the other.

Think and purpose of Theater is to test the capability of the computer playfully. The on this occasion selected window-order can be stored to the later recall as configuration.

The course in the individual

jk-ware Theater is a framework program where the game programs of jk-ware can become started as MDI-Window (MDI = Multiple Document Interface).

Each program runs under Windows™ as a single task (thread), giving it alternately with the other programs the microprocessor for a small amount of time allotted.

This results on computers with one processor core only apparently simultaneous running of the games.

Only on systems with multi-core processors is ideally each program a processor core allocated, whereby the games are played simultaneously.

Restrictions

Windows™ makes available only a restricted capacity on system-, user- and graphic resources. If these are depleted, no further game can be started.

Blocker Plains and Perpetuum mobile require many resources of Windows so that only some instances of the programs can run out simultaneously.

Color LIFE Sound requires very few resources, but for large generations some memory on the computer.

On new PC-Systems with Windows™ 7 or subsequent operating systems, these problems only appear with many started programs.
This is taken into account also with the Theater configurations supplied by jk-ware.

With ongoing course problems, the cause can also be the drivers for the sound- and graphic-card, if these are not suitable for multithreading.

Working with the configuration files

The configuration files contain the registration data under „HKEY_CURRENT_USER\Software\jk_ware\Theater\4.0\Konfig“. Through „Program\Selection\Save... “ are written these data into a *.cfg-File. At Reloading with „Program\Selection\Load...“ are read the data under the above registration-key.

Caution! When reading a new configuration file, the current game construction gets lost irretrievably.

If game data get like the champions list of Blocker Plains or the current arithmetic rules to the quest of beautiful Color LIFE pattern should remain, these must be stored into a configuration file, before they are replaced by a new.

A change of the registration data should only be performed by Theater itself!

jk-ware, Dipl.-Ing. Reinhard Jakob

HTML-Help may be free copied

™ Windows is a registered trademark of Microsoft Corporation


HTML-Help for jk-ware Theater 4.0

Menu selection

Program menu

Blocker Plains!
Color LIFE Sound!
Perpetuum mobile!

With these menu-points, you start the games of Blocker Plains, Color LIFE Sound and Perpetuum mobile.

Selection >

Restore

restores the last selection or the finally read or stored game-construction again.
1 x BLP, 1 x CLS, 1 x PPM

closes all open windows and starts per once Blocker Plains, Color LIFE Sound and Perpetuum mobile.

2 x CLS, 2 x PPM

starts additionally per two times Color LIFE Sound and Perpetuum mobile.
4 x Color LIFE Sound

opens further four Windows of Color LIFE Sound
4 x Perpetuum mobile

further four games of Perpetuum mobile will be started

Load ...

the dialogue-window „Open…” to the selection of a game-construction from a configuration-file (*.cfg) for jk-ware Theater is shown.
Save ...

opens the dialogue-window „Save as…“ for storing the game-construction into a configuration-file (*.cfg) for jk-ware Theater.

Note: Configuration files can only be loaded and saved, when the program is executed as an administrator.

Pause / Start all !

The status from all programs hereby changes from pause to start and vice versa.

Screen Saver

If mark, jk-ware theater is selected as screen saver. The screen saver and the Monitor switching off from Windows™ are deactivated through it.

Close all Windows!

Closes all windows within jk-ware Theater.

End!

Closes all framework windows and finishes jk-ware Theater under Windows™.

Windows menu

Cascade
Vertical
Horizontal

The opened game windows become arranged overlapped, side by side or one on the other.

Minimize all

Reduces all game windows to title bars.

Restore all

Restores the preceding order of the game windows again.

Arrange Title bars

Rearranges all title bars on the desktop of the framework window.

Close!

Finishes the activated program and closes the game window.

Close All!

Finishes all started programs and closes all game windows.

Windows list

In the following list all game windows are presented.

Theater menu

Language >

Choose the language here for the Theater menus and for the information texts within Message-boxes. All new programs are started with this language.

Rem.: Only the basis menus of Theater possess the menu points to the selection of the Theater language.

Language > Help system

Determines the language for the HTML Help text and the description of the dialog windows.
For „others“ can be tied in even further HTML help texts under the file name Theater4_0_other.chm.

Explanations

Opens a help text with explanations to jk-ware Theater.

Menu Commands

Activates this help text.

about...

Shows a dialog box with information to jk-ware Theater and Copyrights.

up


Theater_agif.htm

HTML-Help for jk-ware Theater 4.0